import Box from "../../math/box";
import { PhysicsObject } from "../object";
export declare class Terrain extends PhysicsObject {
    heightmap: Uint8Array;
    texturemap: Uint8Array;
    constructor();
    setTextureMap(tmap: Uint8Array): void;
    setHeightMap(hmap: Uint8Array): void;
    getHeightAt(x: number, z: number): number;
    getTextureAt(x: number, z: number): number;
    getBoundingBox(bounds: Box): Box;
    collidesWith(obj: PhysicsObject): boolean;
    onCollision(obj: PhysicsObject): boolean;
}
